Skip to main content
DELETE
/
projects
/
{projectId}
/
warehouse-sources
/
imports
/
{importId}
Delete a warehouse import
curl --request DELETE \
  --url https://{regionAndDomain}.com/api/app/projects/{projectId}/warehouse-sources/imports/{importId} \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "delete_data": false
}
'
{
  "status": "ok"
}

Authorizations

Authorization
string
header
required

Service Account

Path Parameters

projectId
integer
required

Your project id (eg: 12345)

importId
integer
required

Your warehouse import id (eg: 12345)

Body

application/json
delete_data
boolean
default:false

Whether to also delete the imported data from Mixpanel

Response

Success

status
enum<string>

"ok" if the request succeeded, "error" otherwise.

Available options:
ok
Example:

"ok"